/*
 *    Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: hnqz
 */

package com.qunzhixinxi.hnqz.admin.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qunzhixinxi.hnqz.admin.entity.WmDaDrugEnt;
import com.qunzhixinxi.hnqz.common.data.datascope.DataScopeMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 档案-药企
 *
 * @author gaoyanng
 * @date 2020-06-25 23:35:42
 */
@Mapper
public interface WmDaDrugEntMapper extends DataScopeMapper<WmDaDrugEnt> {

	/**
	 * 分页查询
	 *
	 * @param page 分页对象
	 * @param wmDaDrugEnt 实体对象
	 * @return 分页列表
	 */
	IPage<List<WmDaDrugEnt>> selectPage(Page page, @Param("query") WmDaDrugEnt wmDaDrugEnt);

	List<WmDaDrugEnt> selectByDrugId(WmDaDrugEnt wmDaDrugEnt);

	List selectEntNameByDrugId(Integer id);
	WmDaDrugEnt selectDeptId(WmDaDrugEnt wmDaDrugEnt);

	List selectEntNameByDrugIds(Integer id);

    WmDaDrugEnt selectByDeptId(Integer deptId);

    List selectByUserDeptId(Integer deptId);
	List<Map<String,String>> selectDeptId1(WmDaDrugEnt wmDaDrugEnt);

	WmDaDrugEnt selectId(WmDaDrugEnt wmDaDrugEnt);

    List selectEntNameByDeptId(Integer deptId);

	List selectEntNameByByDeptIds(Integer upId);

	List<WmDaDrugEnt> getListByCsoDeptId(Integer deptId);
}
